Subject: bug#46256: [feature/native-comp] AOT eln files ignored if run from build tree

From: Eli Zaretskii <[email-masked]>
Date: Sat, 06 Mar 2021 15:05:35 +0200

> From: Andy Moreton <[email-masked]>
> Date: Sat, 06 Mar 2021 12:09:30 +0000
> 
> >> Thus the ABI hash should also include `system-configuration-features'.
> >
> > Which of the features you think might affect the ABI?  I reviewed them
> > a couple of days ago and didn't find any I could convince myself
> > should affect that, but maybe I missed something.
> 
> As a reasonably recent example, adding bignum support by default added
> "GMP" to `system-configuration-features' when rebuilding after pulling
> upstream changes, without the user changing the configure command line
> saved in `system-configuration-options'.

AFAIU, such changes only affect *.eln files if we add new primitives
to Emacs or change existing primitives, and those changes are already
captured by the ABI hash.  Right?